GIF2RAW(1)

NAME
gif2raw - convert raw pixel data to a GIF

SYNOPSIS

gif2raw [-v] -s width height [-t] [-p color-map] [-h] [raw-file]

DESCRIPTION

A program to dump raw pixels from GIFS or convert raw image data into GIF files. Only one image can be handled. The default conversion is GIF-to-raw; the -s option inverts this.

A raw image file is assumed to hold one pixel color in one byte, and therefore the size of a raw file on input must be Width times Height as specified by the -s option below.

If no input file is given, gif2raw will try to read a GIF or raw data data from stdin. The generated GIF or raw data is dumped to stdout.

OPTIONS

-v
    Verbose mode (show progress). Enables printout of running scan lines.

-s width height
    Enables raw-to-GIF conversion. The dimensions of the image must be specified in the command line. The raw image file size must be exactly width times weight bytes (each byte is one pixel color).

-t
    Textify. In GIF-to-raw mode, add 32 to the raw value of each pixel emitted and emit \n at the end of each raster line. This maps raw pixel values to printable ASCII chacters, but unhappy results will follow if any pixel has a value greater than 95.

-p ColorMapFile
    Valid in raw-to-GIF mode only, Color map to load for given RAW image. This file has 4 integers in line (ColorIndex Red Green Blue), and the ColorIndex is in order starting from 1. See gifclrmap, which can also use/create these bitmap files. If no color map is specified, uses the EGA 16 color palette as default color map.

-h
    Print one line of command line help, similar to Usage above.

AUTHOR

Gershon Elber.